<div class="flex justify-center mt-6">
  <div class="w-2/3">
    <div class="flex items-center">
      <h1 class="flex-grow">Parcels</h1>
      <a mat-raised-button color="primary" routerLink="/parcels/new"
        >New parcel</a
      >
    </div>
    <div class="mat-elevation-z3 mt-3 flex p-3 items-center">
      <div class="flex-grow flex gap-3 items-center">
        <div class="flex gap-3 text-l">
          <span>Filter by </span>
          <mat-divider [vertical]="true"></mat-divider>
        </div>
        <country-picker [country]="country"></country-picker>
        <mat-form-field class="-mb-5">
          <mat-label>Description</mat-label>
          <input matInput [formControl]="description" />
        </mat-form-field>
      </div>
      <button mat-button color="primary" (click)="search()">Search</button>
    </div>
    <mat-divider></mat-divider>
    <table mat-table [dataSource]="parcels" class="mat-elevation-z3">
      <ng-container matColumnDef="SKU">
        <th mat-header-cell *matHeaderCellDef>SKU</th>
        <td mat-cell *matCellDef="let element">{{ element.SKU }}</td>
      </ng-container>
      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef>Description</th>
        <td mat-cell *matCellDef="let element">{{ element.description }}</td>
      </ng-container>
      <ng-container matColumnDef="country">
        <th mat-header-cell *matHeaderCellDef>Country</th>
        <td mat-cell *matCellDef="let element">{{ element.country }}</td>
      </ng-container>
      <ng-container matColumnDef="deliveryDate">
        <th mat-header-cell *matHeaderCellDef>Delivery date</th>
        <td mat-cell *matCellDef="let element">
          {{ element.deliveryDate | date : 'mediumDate' }}
        </td>
      </ng-container>
      <ng-container matColumnDef="town">
        <th mat-header-cell *matHeaderCellDef>Town</th>
        <td mat-cell *matCellDef="let element">{{ element.town }}</td>
      </ng-container>
      <ng-container matColumnDef="address">
        <th mat-header-cell *matHeaderCellDef>Address</th>
        <td mat-cell *matCellDef="let element">{{ element.address }}</td>
      </ng-container>
      <ng-container matColumnDef="street">
        <th mat-header-cell *matHeaderCellDef>Street</th>
        <td mat-cell *matCellDef="let element">{{ element.street }}</td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </div>
</div>
